
GammaLib - Action #646

Feature # 284 (Closed): Rethink the definition of the GTime class

Adapt GammaLib to new GTime class structure

12/16/2012 12:32 AM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 15.00 hours

Target version: 00-07-00   

Description

History

#1 - 12/16/2012 01:16 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 12/17/2012 11:23 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Remaining (hours) changed from 15.0 to 0.0

The GammaLib code has been adapted to the new GTime interface.

In particular, GGti makes now use of the time reference, and provides automatic reference conversion.

The same is true for the CTA and Fermi-LAT event list readers and writes, that make use of the time reference information in the GTIs.

#3 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Pull request

#4 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed
